Bug 61099 - Squid Configurator Icon in Control Panel doesn't work
Squid Configurator Icon in Control Panel doesn't work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: squid-config (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Ben Levenson
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-03-13 11:04 EST by Mike Chambers
Modified: 2007-04-18 12:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-27 02:15:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Chambers 2002-03-13 11:04:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
When clicking on Squid Configurator Icon in Control Panel, it points to wrong 
path.

Version-Release number of selected component (if applicable):kdebase-2.2.2-1


How reproducible:
Always

Steps to Reproduce:
1.Click on Control Panel
2.Click on Squid Configurator
3.
	

Actual Results:  The path /usr/bin/squid-config doesn't exist.
Please install the package.

Expected Results:  The path should be /usr/sbin/squid-config and then it should 
bring up a menu to configure squid.

Additional info:

[root@homer root]# rpm -q squid-config
squid-config-0.2-2

[root@homer root]# which squid-config
/usr/sbin/squid-config
Comment 1 Bernhard Rosenkraenzer 2002-03-19 11:04:31 EST
This is actually a bug in squid-config. 
It should provide a /usr/bin/squid-config -> consolehelper symlink, or it's impossible to 
start it as non-root. 
Comment 2 Telsa Gwynne 2002-03-25 06:51:39 EST
Glad I did a query before entering this: someone's done all the hard work for
me. This has mutated in beta3 to the following:

Yes, I met "squid configuration won't run from nautilus". Desktop file 
refers to "Exec=/usr/sbin/squid-config". This is where my head started
hurting: 

[hobbit@bubble hobbit]$ /usr/sbin/squid-config
bash: /usr/sbin/squid-config: No such file or directory
[hobbit@bubble hobbit]$ rpm -ql squid-config | grep bin
/usr/sbin/squid-config
[hobbit@bubble hobbit]$ ls -l /usr/sbin/squid-config 
lrwxrwxrwx    1 root     root           13 Mar 24 15:46 /usr/sbin/squid-config
-> consolehelper

So the link's there now, but something's still not working.
Comment 3 Bill Huang 2002-03-25 21:56:59 EST
The bug's been fixed in the RAWHIE.The package name is changed.
It is redhat-config-squid-0.5-4.

Now the workarround is below:
ln -sf /usr/bin/consolehelper /usr/sbin/squid-config
Comment 4 Jay Turner 2002-03-26 08:52:42 EST
Reopening, as I still don't think this is right.  All of the config tools should
provide a link to consolehelper in order to start the configurator as a normal
user.  What we have now with squid-config is that you have to be root in order
to run it.  So, we need the package to provide '/usr/bin/squid-config' which is
a link to '/usr/bin/consolehelper'
Comment 5 Bernhard Rosenkraenzer 2002-03-26 11:27:10 EST
Adding myself to Cc to see whether or not squid-config should remain listed in 
kontrol-panel and kapabilities
Comment 6 Bill Huang 2002-03-26 22:43:09 EST
jturner,you are right.The workaround should be:

ln -sf /usr/bin/consolehelper /usr/bin/squid-config

It is fixed in 0.5-5.
Comment 7 Bill Huang 2002-03-26 22:45:04 EST
jturner,you are right.The workaround should be:

ln -sf /usr/bin/consolehelper /usr/bin/squid-config

It is fixed in 0.5-5.
Comment 8 Bill Huang 2002-03-27 02:15:31 EST
It is finally fixed in 0.5-6.

Note You need to log in before you can comment on or make changes to this bug.